.flex-parent {
    display: -webkit-box;
    display: flex;
    -webkit-box-align: center;
            align-items: center;
    padding: 10px;
    margin: 30px 0;
  }
  
  h2 {
    font-size: 1rem;
    font-weight: normal;
  }
  
  .long-and-truncated {
    -webkit-box-flex: 1;
            flex: 1;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
  
  .short-and-fixed {
    white-space: nowrap;
  }
  .short-and-fixed > div {
    width: 30px;
    height: 30px;
    border-radius: 10px;
    background: lightgreen;
    display: inline-block;
  }
  
  .long-and-truncated-with-child {
    -webkit-box-flex: 1;
            flex: 1;
  }
  .long-and-truncated-with-child h2 {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
  
  .long-and-truncated-with-child-corrected {
    -webkit-box-flex: 1;
            flex: 1;
    min-width: 0;
    /* or some value */
  }
  .long-and-truncated-with-child-corrected h2 {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
  
  body {
    padding: 40px;
  }